package com.hzya.frame.sys.templateFields.dao;

import com.hzya.frame.sys.templateFields.entity.TemplateDto;
import com.hzya.frame.sys.templateFields.entity.TemplateFields;
import java.util.List;

/**
 * @description: 模版字段表  dao
 * @tableName: sys_template_fields 
 * @entityName: TemplateFields
 * @author: gjh
 * @history: 1.0
 */
public interface ITemplateFieldsMapper {

        //通过ID获取数据    entity_get
        TemplateFields entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<TemplateFields> entity_list_base(TemplateFields entity);

        //  查询符合条件的数量
        Integer entity_count(TemplateFields entity);

        //分页查询列表 采用like格式 entity_list_like
        List<TemplateFields> entity_list_like(TemplateFields entity);

        //查询列表 字段采用or格式   entity_list_or
        List<TemplateFields> entity_list_or(TemplateFields entity);

        //新增  entity_insert
        Integer entity_insert(TemplateFields entity);

        //修改  entity_update
        Integer entity_update(TemplateFields entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(TemplateFields entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(TemplateFields entity);

        //物理删除
        Integer entity_delete(TemplateFields entity);


        List<TemplateFields> queryUserTemplateFields(TemplateDto templateDto);
    List<TemplateFields> queryTemplateFields(TemplateDto templateDto);
}
